VkPhysicalDeviceSubgroupProperties Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
uint32_t | subgroupSize
VkShaderStageFlags | supportedStages
VkSubgroupFeatureFlags | supportedOperations
VkBool32 | quadOperationsInAllStages

## Detailed Description

Definition at line 4002 of file vulkan_core.h.

## Field Documentation

## pNext

void* VkPhysicalDeviceSubgroupProperties::pNext

Definition at line 4004 of file vulkan_core.h.

## quadOperationsInAllStages

VkBool32 VkPhysicalDeviceSubgroupProperties::quadOperationsInAllStages

Definition at line 4008 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceSubgroupProperties::sType

Definition at line 4003 of file vulkan_core.h.

## subgroupSize

uint32_t VkPhysicalDeviceSubgroupProperties::subgroupSize

Definition at line 4005 of file vulkan_core.h.

## supportedOperations

VkSubgroupFeatureFlags VkPhysicalDeviceSubgroupProperties::supportedOperations

Definition at line 4007 of file vulkan_core.h.

## supportedStages

VkShaderStageFlags VkPhysicalDeviceSubgroupProperties::supportedStages

Definition at line 4006 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h